import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useState, useEffect } from 'react';
import { ThemeProvider, BaseStyles, Box } from '@primer/react';
import { UnderlineNav } from '@primer/react/drafts';
import { ReactJsIcon, RingedPlanetIcon } from '@datalayer/icons-react';
import { ServerConnection } from '@jupyterlab/services';
import AboutTab from './tabs/AboutTab';
import ComponentsTab from './tabs/ComponentsTab';
import { requestAPI } from '../jupyter/JupyterHandlers';
const JupyterReact = (props) => {
    const { app } = props;
    const [tab, setTab] = useState(1);
    const [version, setVersion] = useState('');
    useEffect(() => {
        requestAPI(ServerConnection.makeSettings(), 'jupyter_react', 'config')
            .then(data => {
            setVersion(data.version);
        })
            .catch(reason => {
            console.error(`Error while accessing the jupyter server jupyter_react extension.\n${reason}`);
        });
    });
    return (_jsx(_Fragment, { children: _jsx(ThemeProvider, { children: _jsx(BaseStyles, { children: _jsxs(Box, { style: { maxWidth: 700 }, children: [_jsx(Box, { mb: 3, children: _jsxs(UnderlineNav, { "aria-label": "jupyter-react", children: [_jsx(UnderlineNav.Item, { "aria-current": "page", icon: RingedPlanetIcon, onSelect: e => {
                                            e.preventDefault();
                                            setTab(1);
                                        }, children: "Components" }), _jsx(UnderlineNav.Item, { icon: ReactJsIcon, onSelect: e => {
                                            e.preventDefault();
                                            setTab(2);
                                        }, children: "About" })] }) }), _jsxs(Box, { m: 3, children: [tab === 1 && _jsx(ComponentsTab, { app: app }), tab === 2 && _jsx(AboutTab, { version: version })] })] }) }) }) }));
};
export default JupyterReact;
//# sourceMappingURL=JupyterReact.js.map